<?php

namespace App\Entities\Part;

use App\Models\Part\CSModel;

class CSEntity extends PartEntity
{
    const PK = CSModel::PK;
    const TITLE = CSModel::TITLE;
    //기본기능    
    public function getIP(): string
    {
        return $this->attributes['ip'];
    }
    //기본기능    
    public function getAccountID(): string|null
    {
        return $this->attributes['accountid'] ?? null;
    }
    public function getDomain(): string|null
    {
        return $this->attributes['domain'] ?? null;
    }
    //abstract 선언처리용
    public function getUsed(): int
    {
        return 0;
    }
    public function getAvailable(): int
    {
        return 0;
    }
}
